
var pageCallback = null;
var GlobalFlagComplete = true;

var portBackground = browser.runtime.connect({name:"taxcom_crypto_ax_port"});

portBackground.onMessage.addListener(function(m) {
	var callback = pageCallback;
	GlobalFlagComplete = true;
	if (callback != null)
		callback(cloneInto(m, window));
});

function waitFunc() {
    if (!GlobalFlagComplete) {
        setTimeOut(waitFunc, 100);
    }
};


window.addEventListener("message", function(event) {
	if (event.source == window) {
		portBackground.postMessage(event.data);
  }
});

var nativeInvoker = {
	sendNativeMessage: function(data, callback) {
		 if (!GlobalFlagComplete){
			 setTimeOut(waitFunc, 100);
		}
		GlobalFlagComplete = false;
		pageCallback = callback;
		window.postMessage(data , "*");
	}
};

window.wrappedJSObject.cryptoAxNativeInvoker = cloneInto(
  nativeInvoker,
  window,
  {cloneFunctions: true});



